# SmiNodeData Class Reference

`#include <SmiScnData.hpp>`

Collaboration diagram for SmiNodeData:
[legend]

List of all members.

## Public Types
typedef std::map< int, CoinPackedVector * > | SmiRowMap
typedef std::map< int, double * > | SmiDenseRowMap
## Public Member Functions
void | setCoreNode ()
double * | getDenseRow (int i)
SmiCoreData * | getCore ()
int | getStage ()
void | setCoreCombineRule (SmiCoreCombineRule *r)
SmiCoreCombineRule * | getCoreCombineRule ()
void | copyRowLower (double *drlo)
void | copyRowUpper (double *drup)
void | copyColLower (double *dclo)
void | copyColUpper (double *dcup)
void | copyObjective (double *dobj)
const int | getNumMatrixElements ()
const int | getRowLength (int irow)
const int | getRowLowerLength ()
const int | getRowUpperLength ()
const int | getColLowerLength ()
const int | getColUpperLength ()
const int | getObjectiveLength ()
const bool | isCoreNode ()
const int * | getRowIndices (int irow)
int * | getMutableRowIndices (int irow)
const int * | getRowLowerIndices ()
const int * | getRowUpperIndices ()
const int * | getColLowerIndices ()
const int * | getColUpperIndices ()
const int * | getObjectiveIndices ()
const double * | getRowElements (int irow)
const int * | getRowStarts (int irow)
double * | getMutableRowElements (int irow)
const double * | getRowLowerElements ()
const double * | getRowUpperElements ()
const double * | getColLowerElements ()
const double * | getColUpperElements ()
const double * | getObjectiveElements ()
CoinPackedVector * | combineWithCoreRow (CoinPackedVector *cr, CoinPackedVector *nr)
int | combineWithDenseCoreRow (double *dr, CoinPackedVector *cpv, double *dels, int *indx)
int | combineWithDenseCoreRow (double *dr, const int nels, const int *inds, const double *dels, double *dest_dels, int *dest_indx)
| SmiNodeData (SmiStageIndex stg, SmiCoreData *core, const CoinPackedMatrix *const matrix, CoinPackedVector *dclo, CoinPackedVector *dcup, CoinPackedVector *dobj, CoinPackedVector *drlo, CoinPackedVector *drup)
int | addPtr ()
| ~SmiNodeData ()
## Protected Member Functions
void | combineWithCoreDoubleArray (double *d_out, const CoinPackedVector &cpv, int o)
void | combineWithCoreDoubleArray (double *d_out, const int len, const int *inds, const double *dels, int o)
void | assignMemory ()
void | deleteMemory ()
const int | getMatStart ()
const int | getMatEnd ()
const int | getRloStart ()
const int | getRupStart ()
const int | getCloStart ()
const int | getCupStart ()
const int | getObjStart ()
const int | getLength (int istart)
const int * | getIndices (int istart)
const double * | getElements (int istart)
## Private Attributes
SmiStageIndex | stg_
SmiRowMap | rowMap
SmiDenseRowMap | dRowMap
SmiCoreData * | core_
bool | isCoreNode_
SmiCoreCombineRule * | combineRule_
int | numarrays_
int | nels_
int | nrow_
int | ncol_
int | rowbeg_
int | colbeg_
int | nstrt_
bool | has_matrix_
int | mat_strt_
int | clo_strt_
int | cup_strt_
int | obj_strt_
int | rlo_strt_
int | rup_strt_
double * | dels_
int * | inds_
int * | strt_
int | ptr_count

## Detailed Description

Definition at line 24 of file SmiScnData.hpp.

## Member Typedef Documentation

typedef std::map<int,CoinPackedVector *> SmiNodeData::SmiRowMap

Definition at line 28 of file SmiScnData.hpp.

typedef std::map<int,double *> SmiNodeData::SmiDenseRowMap

Definition at line 29 of file SmiScnData.hpp.

## Constructor & Destructor Documentation

SmiNodeData::SmiNodeData | ( | SmiStageIndex | stg,
|  | SmiCoreData * | core,
|  | const CoinPackedMatrix *const | matrix,
|  | CoinPackedVector * | dclo,
|  | CoinPackedVector * | dcup,
|  | CoinPackedVector * | dobj,
|  | CoinPackedVector * | drlo,
|  | CoinPackedVector * | drup |
| ) |  |  |

SmiNodeData::~SmiNodeData | ( |  | ) |

## Member Function Documentation

void SmiNodeData::setCoreNode | ( |  | ) |

double* SmiNodeData::getDenseRow | ( | int | i | ) |

SmiCoreData* SmiNodeData::getCore | ( |  | ) | `[inline]`

Definition at line 39 of file SmiScnData.hpp.

int SmiNodeData::getStage | ( |  | ) | `[inline]`

Definition at line 40 of file SmiScnData.hpp.

void SmiNodeData::setCoreCombineRule | ( | SmiCoreCombineRule * | r | ) | `[inline]`

Definition at line 42 of file SmiScnData.hpp.

SmiCoreCombineRule* SmiNodeData::getCoreCombineRule | ( |  | ) | `[inline]`

Definition at line 43 of file SmiScnData.hpp.

void SmiNodeData::copyRowLower | ( | double * | drlo | ) |

void SmiNodeData::copyRowUpper | ( | double * | drup | ) |

void SmiNodeData::copyColLower | ( | double * | dclo | ) |

void SmiNodeData::copyColUpper | ( | double * | dcup | ) |

void SmiNodeData::copyObjective | ( | double * | dobj | ) |

const int SmiNodeData::getNumMatrixElements | ( |  | ) | `[inline]`

Definition at line 51 of file SmiScnData.hpp.

const int SmiNodeData::getRowLength | ( | int | irow | ) | `[inline]`

Definition at line 57 of file SmiScnData.hpp.

const int SmiNodeData::getRowLowerLength | ( |  | ) | `[inline]`

Definition at line 63 of file SmiScnData.hpp.

const int SmiNodeData::getRowUpperLength | ( |  | ) | `[inline]`

Definition at line 64 of file SmiScnData.hpp.

const int SmiNodeData::getColLowerLength | ( |  | ) | `[inline]`

Definition at line 65 of file SmiScnData.hpp.

const int SmiNodeData::getColUpperLength | ( |  | ) | `[inline]`

Definition at line 66 of file SmiScnData.hpp.

const int SmiNodeData::getObjectiveLength | ( |  | ) | `[inline]`

Definition at line 67 of file SmiScnData.hpp.

const bool SmiNodeData::isCoreNode | ( |  | ) | `[inline]`

Definition at line 68 of file SmiScnData.hpp.

const int* SmiNodeData::getRowIndices | ( | int | irow | ) | `[inline]`

Definition at line 70 of file SmiScnData.hpp.

int* SmiNodeData::getMutableRowIndices | ( | int | irow | ) | `[inline]`

Definition at line 76 of file SmiScnData.hpp.

const int* SmiNodeData::getRowLowerIndices | ( |  | ) | `[inline]`

Definition at line 80 of file SmiScnData.hpp.

const int* SmiNodeData::getRowUpperIndices | ( |  | ) | `[inline]`

Definition at line 81 of file SmiScnData.hpp.

const int* SmiNodeData::getColLowerIndices | ( |  | ) | `[inline]`

Definition at line 82 of file SmiScnData.hpp.

const int* SmiNodeData::getColUpperIndices | ( |  | ) | `[inline]`

Definition at line 83 of file SmiScnData.hpp.

const int* SmiNodeData::getObjectiveIndices | ( |  | ) | `[inline]`

Definition at line 84 of file SmiScnData.hpp.

const double* SmiNodeData::getRowElements | ( | int | irow | ) | `[inline]`

Definition at line 86 of file SmiScnData.hpp.

const int* SmiNodeData::getRowStarts | ( | int | irow | ) | `[inline]`

Definition at line 93 of file SmiScnData.hpp.

double* SmiNodeData::getMutableRowElements | ( | int | irow | ) | `[inline]`

Definition at line 99 of file SmiScnData.hpp.

const double* SmiNodeData::getRowLowerElements | ( |  | ) | `[inline]`

Definition at line 103 of file SmiScnData.hpp.

const double* SmiNodeData::getRowUpperElements | ( |  | ) | `[inline]`

Definition at line 104 of file SmiScnData.hpp.

const double* SmiNodeData::getColLowerElements | ( |  | ) | `[inline]`

Definition at line 105 of file SmiScnData.hpp.

const double* SmiNodeData::getColUpperElements | ( |  | ) | `[inline]`

Definition at line 106 of file SmiScnData.hpp.

const double* SmiNodeData::getObjectiveElements | ( |  | ) | `[inline]`

Definition at line 107 of file SmiScnData.hpp.

CoinPackedVector* SmiNodeData::combineWithCoreRow | ( | CoinPackedVector * | cr,
|  | CoinPackedVector * | nr |
| ) |  |  |

int SmiNodeData::combineWithDenseCoreRow | ( | double * | dr,
|  | CoinPackedVector * | cpv,
|  | double * | dels,
|  | int * | indx |
| ) |  |  |

int SmiNodeData::combineWithDenseCoreRow | ( | double * | dr,
|  | const int | nels,
|  | const int * | inds,
|  | const double * | dels,
|  | double * | dest_dels,
|  | int * | dest_indx |
| ) |  |  |

int SmiNodeData::addPtr | ( |  | ) | `[inline]`

Definition at line 122 of file SmiScnData.hpp.

void SmiNodeData::combineWithCoreDoubleArray | ( | double * | d_out,
|  | const CoinPackedVector & | cpv,
|  | int | o |
| ) |  |  | `[protected]`

void SmiNodeData::combineWithCoreDoubleArray | ( | double * | d_out,
|  | const int | len,
|  | const int * | inds,
|  | const double * | dels,
|  | int | o |
| ) |  |  | `[protected]`

void SmiNodeData::assignMemory | ( |  | ) | `[protected]`

void SmiNodeData::deleteMemory | ( |  | ) | `[protected]`

const int SmiNodeData::getMatStart | ( |  | ) | `[inline, protected]`

Definition at line 134 of file SmiScnData.hpp.

const int SmiNodeData::getMatEnd | ( |  | ) | `[inline, protected]`

Definition at line 135 of file SmiScnData.hpp.

const int SmiNodeData::getRloStart | ( |  | ) | `[inline, protected]`

Definition at line 136 of file SmiScnData.hpp.

const int SmiNodeData::getRupStart | ( |  | ) | `[inline, protected]`

Definition at line 137 of file SmiScnData.hpp.

const int SmiNodeData::getCloStart | ( |  | ) | `[inline, protected]`

Definition at line 138 of file SmiScnData.hpp.

const int SmiNodeData::getCupStart | ( |  | ) | `[inline, protected]`

Definition at line 139 of file SmiScnData.hpp.

const int SmiNodeData::getObjStart | ( |  | ) | `[inline, protected]`

Definition at line 140 of file SmiScnData.hpp.

const int SmiNodeData::getLength | ( | int | istart | ) | `[inline, protected]`

Definition at line 144 of file SmiScnData.hpp.

const int* SmiNodeData::getIndices | ( | int | istart | ) | `[inline, protected]`

Definition at line 148 of file SmiScnData.hpp.

const double* SmiNodeData::getElements | ( | int | istart | ) | `[inline, protected]`

Definition at line 152 of file SmiScnData.hpp.

## Member Data Documentation

SmiStageIndex SmiNodeData::stg_`[private]`

Definition at line 159 of file SmiScnData.hpp.

SmiRowMap SmiNodeData::rowMap`[private]`

Definition at line 160 of file SmiScnData.hpp.

SmiDenseRowMap SmiNodeData::dRowMap`[private]`

Definition at line 161 of file SmiScnData.hpp.

SmiCoreData* SmiNodeData::core_`[private]`

Definition at line 163 of file SmiScnData.hpp.

bool SmiNodeData::isCoreNode_`[private]`

Definition at line 164 of file SmiScnData.hpp.

SmiCoreCombineRule* SmiNodeData::combineRule_`[private]`

Definition at line 165 of file SmiScnData.hpp.

int SmiNodeData::numarrays_`[private]`

Definition at line 167 of file SmiScnData.hpp.

int SmiNodeData::nels_`[private]`

Definition at line 168 of file SmiScnData.hpp.

int SmiNodeData::nrow_`[private]`

Definition at line 169 of file SmiScnData.hpp.

int SmiNodeData::ncol_`[private]`

Definition at line 170 of file SmiScnData.hpp.

int SmiNodeData::rowbeg_`[private]`

Definition at line 171 of file SmiScnData.hpp.

int SmiNodeData::colbeg_`[private]`

Definition at line 172 of file SmiScnData.hpp.

int SmiNodeData::nstrt_`[private]`

Definition at line 173 of file SmiScnData.hpp.

bool SmiNodeData::has_matrix_`[private]`

Definition at line 174 of file SmiScnData.hpp.

int SmiNodeData::mat_strt_`[private]`

Definition at line 175 of file SmiScnData.hpp.

int SmiNodeData::clo_strt_`[private]`

Definition at line 176 of file SmiScnData.hpp.

int SmiNodeData::cup_strt_`[private]`

Definition at line 177 of file SmiScnData.hpp.

int SmiNodeData::obj_strt_`[private]`

Definition at line 178 of file SmiScnData.hpp.

int SmiNodeData::rlo_strt_`[private]`

Definition at line 179 of file SmiScnData.hpp.

int SmiNodeData::rup_strt_`[private]`

Definition at line 180 of file SmiScnData.hpp.

double* SmiNodeData::dels_`[private]`

Definition at line 181 of file SmiScnData.hpp.

int* SmiNodeData::inds_`[private]`

Definition at line 182 of file SmiScnData.hpp.

int* SmiNodeData::strt_`[private]`

Definition at line 183 of file SmiScnData.hpp.

int SmiNodeData::ptr_count`[private]`

Definition at line 185 of file SmiScnData.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/Smi/src/SmiScnData.hpp